path: /build/build/funtoo-stage3-seed-0.20230710.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - LUET_YES=true
  - HTTP_TIMEOUT=0
  - STAGE_VERSION=2023-07-10
  - RELEASE=next
  prelude:
  - apk --no-cache add ca-certificates tar wget xz rsync curl
  - curl https://raw.githubusercontent.com/geaaru/luet/geaaru/contrib/config/get_luet_root.sh
    | sh
  - luet install repository/macaroni-distfiles && luet repo update
  - |
    mkdir /funtoo-stage3 && \
    luet install =funtoo-${RELEASE}/stage3-amd64-0.20230710 && luet cleanup && \
    cd /funtoo-stage3 && tar xJpf /collections/funtoo/stage3.tar.xz --xattrs --numeric-owner && luet uninstall funtoo-${RELEASE}/stage3-amd64 && luet cleanup && \
    rm -rf /funtoo-stage3/lib64/modules/* && \
    rsync -A -a --delete --numeric-ids --recursive -d -H --one-file-system --xattrs --exclude '/funtoo-stage3/*'  --exclude '/etc/resolv.conf'  --exclude '/etc/hostname'  --exclude '/sys/' --exclude '/etc/hosts'  --exclude '/sys/*' --exclude '/proc/*' --exclude '/dev/pts/*' /funtoo-stage3/ / && \
    rm -rf /funtoo-stage3
  image: alpine
  seed: alpine
  package:
    id: 0
    name: funtoo-stage3
    version: "0.20230710"
    category: seed
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: true
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: 2023-08-11 21:32:02.80094227 +0000 UTC m=+1232.073424092
    labels:
      distfiles.version: "0.20230710"
      package.version: "2023-07-10"
      release: next
    treedir: /build/packages
    repository: ""
  package_dir: ""
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  id: 0
  name: funtoo-stage3
  version: "0.20230710"
  category: seed
  useflags: []
  state: ""
  packagerequires: []
  packageconflicts: []
  provides: []
  hidden: true
  annotations: {}
  path: ""
  description: ""
  uri: []
  license: ""
  buildtimestamp: ""
  labels:
    distfiles.version: "0.20230710"
    package.version: "2023-07-10"
    release: next
  treedir: ""
  repository: ""
